# GetFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.get / GetFile

# GetFile

(common) `data class GetFile : SimpleRequest<PathedFile>` (source)

### Constructors

(common)

#### <init>

`GetFile(fileId: FileId)`

### Properties

(common)

#### fileId

`val fileId: FileId`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<PathedFile>`

### Functions

(common)

#### method

`fun method(): String`